Bug 13101 - Fix resouce leaks and pointer issues
Fix resouce leaks and pointer issues
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.7.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-26 05:41 UTC by Andreas Schneider
Modified: 2017-11-03 10:11 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.7 (6.48 KB, patch)
2017-10-30 15:10 UTC, Andreas Schneider
jra: review+
Details
patch for 4.6 (5.30 KB, patch)
2017-10-30 15:12 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-10-26 05:41:57 UTC
There are several resource leaks and pointer issues in the code which need to be fixed.

Patch will follow.
Comment 1 Andreas Schneider 2017-10-30 15:10:17 UTC
Created attachment 13740 [details]
patch for 4.7
Comment 2 Andreas Schneider 2017-10-30 15:12:15 UTC
Created attachment 13741 [details]
patch for 4.6
Comment 3 Jeremy Allison 2017-10-31 23:58:22 UTC
Re-assigning to Karolin for
Comment 4 Jeremy Allison 2017-10-31 23:59:13 UTC
...inclusion in 4.7.next, 4.6.next.
Comment 5 Karolin Seeger 2017-11-01 09:48:55 UTC
(In reply to Jeremy Allison from comment #4)
Pushed to autobuild-v4-{7,6}-test.
Comment 6 Karolin Seeger 2017-11-03 10:11:13 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!